package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class RoomTypeTreeCollection extends AbstractObjectCollection 
{
    public RoomTypeTreeCollection()
    {
        super(RoomTypeTreeInfo.class);
    }
    public boolean add(RoomTypeTreeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(RoomTypeTreeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(RoomTypeTreeInfo item)
    {
        return removeObject(item);
    }
    public RoomTypeTreeInfo get(int index)
    {
        return(RoomTypeTreeInfo)getObject(index);
    }
    public RoomTypeTreeInfo get(Object key)
    {
        return(RoomTypeTreeInfo)getObject(key);
    }
    public void set(int index, RoomTypeTreeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(RoomTypeTreeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(RoomTypeTreeInfo item)
    {
        return super.indexOf(item);
    }
}